## org.eclipse.jst.jsf.common.metadata.query
Interface IMetaDataVisitor

All Known Subinterfaces:
  IEntityQueryVisitor, IEntityVisitor, ITraitQueryVisitor, ITraitVisitor

All Known Implementing Classes:
  AbstractEntityQueryVisitor, AbstractEntityVisitor, AbstractMetaDataVisitor, AbstractTraitQueryVisitor, AbstractTraitVisitor

    public interface IMetaDataVisitor

Common interface for Entity and Trait visitors

NOT to implemented by clients directly. Clients should subclass AbstractMetaDataVisitor instead.

Provisional API - subject to change

Method Summary
`boolean` `stopVisiting()`

Method Detail

### stopVisiting

    boolean stopVisiting()

  Returns:
    true if visitor has recognized that visiting should stop